From 8062096c0f851844322036afe8f40584e6a69eae Mon Sep 17 00:00:00 2001
From: Ariel Barria <arielb@fedoraproject.org>
Date: Fri, 15 Jun 2012 11:49:08 -0500
Subject: [PATCH] SIGUSR2 should force SSSD to reread resolv.conf as well

---
 src/monitor/monitor.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/src/monitor/monitor.c b/src/monitor/monitor.c
index 041f576e686f298d6eaa7610b1b2813fa3096744..a00c4e619da157d25e6cffd0553d4c44b70d2aa4 100644
--- a/src/monitor/monitor.c
+++ b/src/monitor/monitor.c
@@ -1339,16 +1339,23 @@ static void signal_offline_reset(struct tevent_context *ev,
 {
     struct mt_ctx *monitor;
     struct mt_svc *cur_svc;
-
+    errno_t ret;
+ 
     monitor = talloc_get_type(private_data, struct mt_ctx);
 
-    DEBUG(8, ("Signaling providers to reset offline immediately.\n"));
+    DEBUG(SSSDBG_TRACE_LIBS, 
+	          ("Signaling providers to reset offline immediately.\n"));
 
     for(cur_svc = monitor->svc_list; cur_svc; cur_svc = cur_svc->next) {
         if (cur_svc->provider) {
             service_signal_reset_offline(cur_svc);
         }
     }
+	ret = monitor_config_file(monitor, monitor, RESOLV_CONF_PATH,
+                              monitor_update_resolv);
+    if (ret != EOK) {
+        DEBUG(SSSDBG_FATAL_FAILURE ("Reloading resolv.conf failed.\n"));
+    }
 }
 
 static int monitor_ctx_destructor(void *mem)
-- 
1.7.10.msysgit.1

